## Contents

- Properties
- Static Methods

class solace.CacheCBInfo

Creates an instance of CacheCBInfo using the provided callback and user context object.

## Constructor Top

| CacheCBInfo ( solace.CacheCBInfo.cacheRequestCallback cacheCBFunction, Object userObject ) |  |

## Properties Top

solace.CacheCBInfo.cacheRequestCallback | cacheCBFunction |  |
object | userObject |  |

## Static Methods Top

void | cacheRequestCallback ( Number requestID, solace.CacheRequestResult result, Object userObject ) |

## Constructor details Top

###
CacheCBInfo ( solace.CacheCBInfo.cacheRequestCallback cacheCBFunction, Object userObject )

Creates an instance of CacheCBInfo using the provided callback and user context object.

#### Parameters

solace.CacheCBInfo.cacheRequestCallback | cacheCBFunction The callback to be invoked.
Object | userObject A context object to be returned with the callback.

## Static Methods Detail Top

###
static public void cacheRequestCallback ( Number requestID, solace.CacheRequestResult result, Object userObject )

This callback is called by a cache session when a cache request completes.

#### Parameters

Number | requestID The ID of the request on which the event is notified.
solace.CacheRequestResult | result The result of the cache request.
Object | userObject The user object provided.

#### Return Value

void |

## Properties Detail Top

###
public solace.CacheCBInfo.cacheRequestCallback cacheCBFunction

The function that will be called by the cache session when a request completes.

###
public object userObject

The user context object that will be supplied to the callback function when the cache request completes.